/******************************************************************************
 *                     APTITUDE  USER  INTERFACE  SETTINGS                    *
 ******************************************************************************/

/* © Copyright 2011-2013, Yann Amar <quidame@poivron.org> {{{1
 * License GPL-3.0+
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * Or write to the Free Software Foundation, Inc., 59 Temple Place,
 * Suite 330, Boston, MA  02111-1307  USA.
 *
 * On Debian systems, the complete text of the GNU General
 * Public License version 3 can be found in "/usr/share/common-licenses/GPL-3".
 *
 * Last Update: 2014-02-13
 *
 ******************************************************************************
 *                                                                            
 * All of these settings can be used in one or several configuration files.   
 *                                                                            
 * For Debian:                                                                
 * - /etc/apt/apt.conf          (not recommended)                             
 * - /etc/apt/apt.conf.d/aptitudeUI.conf (or any file in /etc/apt/apt.conf.d/ 
 *   matching the rules given in the apt.conf(5) manual page)                 
 * - ~/.aptitude/config                                                       
 *                                                                            
 * For more details about the possible settings of Aptitude, see:             
 *                                                                            
 * 	http://algebraicthunk.net/~dburrows/projects/aptitude/doc/            
 *
 *****************************************************************************/

// User Interface Settings (Quidame Skin) {{{1

// Reset previous settings {{{2
//#clear Aptitude::UI;

/* Allow-Null-Upgrade {{{2
 * Default is "false" */
//Aptitude::Allow-Null-Upgrade "false";

/* Auto-Upgrade {{{2
 * Default is "false" */
//Aptitude::Auto-Upgrade "false";

/* Delete-Unused {{{2
 * Default is "true" */
//Aptitude::Delete-Unused "true";

/* Delete-Unused-Pattern {{{2
 * Default is "" */
//Aptitude::Delete-Unused-Pattern "";

/* Display-Planned-Action {{{2
 * Default is "true" */
//Aptitude::Display-Planned-Action "true";

/* Get-Root-Command {{{2
 * Default is "su:/usr/bin/su" */
Aptitude::Get-Root-Command "sudo:/usr/bin/sudo";

/* Parse-Description-Bullets {{{2
 * Default is "true" */
//Aptitude::Parse-Description-Bullets "true";

/* Advance-On-Action {{{2
 * Default is "false" */
//Aptitude::UI::Advance-On-Action "false";

/* Auto-Show-Reasons {{{2
 * Default is "true" */
//Aptitude::UI::Auto-Show-Reasons "true";

/* Default-Grouping {{{2
 * Default is "task,status,section(subdirs,passthrough),section(topdir)" */
//Aptitude::UI::Default-Grouping "task,status,section(subdirs,passthrough),section(topdir)";

/* Default-Package-View {{{2
 * See http://algebraicthunk.net/~dburrows/projects/aptitude/doc/en/ch02s04s04.html
 * Default is "" */
//Aptitude::UI::Default-Package-View "";

/* Default-Preview-Grouping {{{2
 * Default is "action" */
//Aptitude::UI::Default-Preview-Grouping "action";

/* Default-Sorting {{{2
 * Default is "name" */
//Aptitude::UI::Default-Sorting "name";

/* Description-Visible-By-Default {{{2
 * Default is "true" */
//Aptitude::UI::Description-Visible-By-Default "true";

/* Exit-On-Last-Close {{{2
 * Default is "true" */
//Aptitude::UI::Exit-On-Last-Close "true";

/* Fill-Text {{{2
 * Default is "false" */
//Aptitude::UI::Fill-Text "false";

/* HelpBar {{{2
 * Default is "true" */
Aptitude::UI::HelpBar "false";

/* InfoAreaTabs {{{2
 * Default is "false" */
Aptitude::UI::InfoAreaTabs "true";

/* KeyBindings {{{2
 * See http://algebraicthunk.net/~dburrows/projects/aptitude/doc/en/ch02s04s02.html
 * Defaults are: {{{3
 * ApplySolution	"!";
 * Begin		"home,C-a";
 * BugReport		"B";
 * Cancel		"C-g,escape,C-[";
 * Changelog		"C";
 * ChangePkgTreeGrouping "G";
 * ChangePkgTreeLimit	"l";
 * ChangePkgTreeSorting	"S";
 * ClearAuto		"m";
 * CollapseAll		"]";
 * CollapseTree		"";
 * Commit		"N";
 * Confirm		"enter";
 * Cycle		"tab";
 * CycleNext		"f6";
 * CycleOrder		"o";
 * CyclePrev		"f7";
 * DelBOL		"C-u";
 * DelBack		"backspace";
 * DelEOL		"C-h";
 * DelForward		"delete,C-d";
 * Dependencies		"d";
 * DescriptionCycle	"i";
 * DescriptionDown	"z";
 * DescriptionUp	"a";
 * DoInstallRun		"g";
 * Down			"down,j";
 * DpkgReconfigure	"R";
 * DumpResolver		"*";
 * EditHier		"E";
 * End			"end,C-e";
 * ExamineSolution	"e";
 * ExpandAll		"[";
 * ExpandTree		"";
 * FirstSolution	"<";
 * ForbidUpgrade	"F";
 * ForgetNewPackages	"f";
 * Help			"?";
 * HistoryNext		"down,C-n";
 * HistoryPrev		"up,C-p";
 * Hold			"=";
 * Install		"+";
 * InstallSingle	"I";
 * Keep			":";
 * LastSolution		">";
 * Left			"left,h";
 * LevelDown		"J";
 * LevelUp		"K";
 * MarkUpgradable	"U";
 * MineFlagSquare	"f";
 * MineLoadGame		"L";
 * MineSaveGame		"S";
 * MineSweepSquare	"";
 * MineUncoverSquare	"";
 * MineUncoverSweepSquare "enter";
 * NextPage		"pagedown,C-f";
 * NextSolution		".";
 * No			"n";	// In fact, depends on the locale.
 * Parent		"^";
 * PrevPage		"pageup,C-b";
 * PrevSolution		"comma";
 * Purge		"_";
 * PushButton		"space,enter";
 * Quit			"q";
 * QuitProgram		"Q";
 * RejectBreakHolds	"";
 * Refresh		"C-l";
 * Remove		"-";
 * ReInstall		"L";
 * RepeatSearchBack	"N";
 * ReSearch		"n";
 * ReverseDependencies	"r";
 * Right		"right,l";
 * SaveHier		"S";
 * Search		"/";
 * SearchBack		"\";
 * SearchBroken		"b";
 * SetAuto		"M";
 * ShowHideDescription	"D";
 * SolutionActionApprove "a";
 * SolutionActionReject	"r";
 * ToggleExpanded	"enter";
 * ToggleMenuActive	"C-m,f10,C-space";
 * Undo			"C-_,C-u";
 * Up			"up,k";
 * UpdatePackageList	"u";
 * Versions		"v";
 * Yes			"y";	// In fact, depends on the locale.
 * }}}*/
Aptitude::UI::KeyBindings {
//	ApplySolution		"!";
//	Begin			"home,C-a";
//	BugReport		"B";
//	Cancel			"C-g,escape,C-[";
//	Changelog		"C";
//	ChangePkgTreeGrouping	"G";
//	ChangePkgTreeLimit	"l";
//	ChangePkgTreeSorting	"S";
//	ClearAuto		"m";
//	CollapseAll		"]";
//	CollapseTree		"";
//	Commit			"N";
//	Confirm			"enter";
//	Cycle			"tab";
//	CycleNext		"f6";
//	CycleOrder		"o";
//	CyclePrev		"f7";
//	DelBOL			"C-u";
//	DelBack			"backspace";
//	DelEOL			"C-h";
//	DelForward		"delete,C-d";
//	Dependencies		"d";
//	DescriptionCycle	"i";
//	DescriptionDown		"z";
//	DescriptionUp		"a";
//	DoInstallRun		"g";
//	Down			"down,j";
//	DpkgReconfigure		"R";
//	DumpResolver		"*";
//	EditHier		"E";
//	End			"end,C-e";
//	ExamineSolution		"e";
//	ExpandAll		"[";
//	ExpandTree		"";
//	FirstSolution		"<";
//	ForbidUpgrade		"F";
//	ForgetNewPackages	"f";
//	Help			"?";
//	HistoryNext		"down,C-n";
//	HistoryPrev		"up,C-p";
//	Hold			"=";
//	Install			"+";
//	InstallSingle		"I";
//	Keep			":";
//	LastSolution		">";
//	Left			"left,h";
//	LevelDown		"J";
//	LevelUp			"K";
//	MarkUpgradable		"U";
//	MineFlagSquare		"f";
//	MineLoadGame		"L";
//	MineSaveGame		"S";
//	MineSweepSquare		"";
//	MineUncoverSquare	"";
//	MineUncoverSweepSquare	"enter";
//	NextPage		"pagedown,C-f";
//	NextSolution		".";
//	No			"n";
//	Parent			"^";
//	PrevPage		"pageup,C-b";
//	PrevSolution		"comma";
//	Purge			"_";
//	PushButton		"space,enter";
//	Quit			"q";
//	QuitProgram		"Q";
//	RejectBreakHolds	"";
//	Refresh			"C-l";
//	Remove			"-";
//	ReInstall		"L";
//	RepeatSearchBack	"N";
//	ReSearch		"n";
//	ReverseDependencies	"r";
//	Right			"right,l";
//	SaveHier		"S";
//	Search			"/";
//	SearchBack		"\";
//	SearchBroken		"b";
//	SetAuto			"M";
//	ShowHideDescription	"D";
//	SolutionActionApprove	"a";
//	SolutionActionReject	"r";
//	ToggleExpanded		"enter";
//	ToggleMenuActive	"C-m,f10,C-space";
//	Undo			"C-_,C-u";
//	Up			"up,k";
//	UpdatePackageList	"u";
//	Versions		"v";
//	Yes			"y";
};

/* Menubar-Autohide {{{2
 * Default is "false" */
Aptitude::UI::Menubar-Autohide "true";

/* Minibuf-Download-Bar {{{2
 * Default is "false" */
//Aptitude::UI::Minibuf-Download-Bar "false";

/* Flat-View-As-First-View {{{2
 * Default is "false" */
//Aptitude::UI::Flat-View-As-First-View "false";

/* Minibuf-Prompts {{{2
 * Default is "false" */
//Aptitude::UI::Minibuf-Prompts "false";

/* New-Package-Commands {{{2
 * Default is "true" */
//Aptitude::UI::New-Package-Commands "true";

/* Formats of informations to be displayed {{{2
 * %a	A single-character flag summarizing any action to be performed on the package.
 * %A	A somewhat more verbose description of the action to be performed on the package.
 * %B	Produces a string describing the number of broken packages if there is.
 * %c	A single-character flag summarizing the current state of the package.
 * %C	A more verbose description of the current state of the package.
 * %d	The package's short description.
 * %D	The size of the package file containing the package.
 * %H	The name of the computer (hostname) on which aptitude is running.
 * %i	The highest priority assigned to a package version.
 * %I	The estimated amount of space the package takes up on disk.
 * %m	The maintainer of the package.
 * %M	If the package is automatically installed, outputs 'A'; otherwise, outputs nothing.
 * %n	The version of aptitude that is running.
 * %N	The name of the program; usually 'aptitude'.
 * %o	A string describing the total size of all the package files which will be installed.
 * %p	The name of the package (indented if in a tree).
 * %P	The priority of the package.
 * %r	The approximate number of installed packages which depend upon the package.
 * %R	An abbreviated description of the package's priority.
 * %s	The section of the package.
 * %S	If the package is untrusted, displays the letter 'U'.
 * %t	The archive in which the package is found.
 * %T	Outputs '*' if the package is tagged.
 * %u	A description of the change in disk space.
 * %v	The currently installed version of the package, or <none>.
 * %V	The version of the package which would be installed, or <none> if not available.
 * %Z	How much space will be used or freed by installing, upgrading or removing a package.
 */

/* Package-Display-Format {{{2
 * Default is "%c%a%M%S %p %Z %v %V" */
Aptitude::UI::Package-Display-Format "%c%a%M%S %p %Z %v %V %i %t";

/* Package-Header-Format {{{2
 * Default is "%n %N #%B %u %o" */
Aptitude::UI::Package-Header-Format "%N %n @%H #%B %u %o";

/* Package-Status-Format {{{2
 * Default is "%d" */
Aptitude::UI::Package-Status-Format "%d (%s - %P)";

/* Pause-After-Download {{{2
 * Default is "OnlyIfError" */
//Aptitude::UI::Pause-After-Download "OnlyIfError";

/* Pkg-Display-Limit {{{2
 * Default is "" */
//Aptitude::Pkg-Display-Limit "";

/* Prompt-On-Exit {{{2
 * Default is "true" */
//Aptitude::UI::Prompt-On-Exit "true";

/* Styles {{{2
 * See http://algebraicthunk.net/~dburrows/projects/aptitude/doc/en/ch02s04s03.html
 * Defaults are: {{{3
 * Bullet			{fg "yellow"; set "bold";};
 * ChangeLogNewerVersion	{set "bold";};
 * Default			{fg "white"; bg "black";};
 * DepBroken			{fg "black"; bg "red";};
 * DisabledMenuEntry		{fg "black"; bg "blue"; set "dim";};
 * DownloadHit			{fg "black"; bg "green";};
 * DownloadProgress		{fg "blue"; bg "yellow";};
 * EditLine			{fg "white"; bg "black"; clear "reverse";};
 * Error			{fg "white"; bg "red"; set "bold";};
 * Header			{fg "white"; bg "blue"; set "bold";};
 * HighlightedMenuBar		{fg "white"; bg "blue"; set "bold,reverse";};
 * HighlightedMenuEntry		{fg "white"; bg "blue"; set "bold,reverse";};
 * MediaChange			{fg "yellow"; bg "red"; set "bold";};
 * MenuBar			{fg "white"; bg "blue"; set "bold";};
 * MenuBorder			{fg "white"; bg "blue"; set "bold";};
 * MenuEntry			{fg "white"; bg "blue";};
 * MineBomb			{fg "red"; set "bold"};
 * MineBorder			{set "bold";};
 * MineFlag			{fg "red"; set "bold";};
 * MineNumber1			"";
 * MineNumber2			"";
 * MineNumber3			"";
 * MineNumber4			"";
 * MineNumber5			"";
 * MineNumber6			"";
 * MineNumber7			"";
 * MineNumber8			"";
 * MultiplexTab			{fg "white"; bg "blue";};
 * MultiplexTabHighlighted	{fg "blue"; bg "white";};
 * PkgBroken			{fg "red"; flip "reverse";};
 * PkgBrokenHighlighted		{fg "red";};
 * PkgIsInstalled		{set "bold";};
 * PkgIsInstalledHighlighted	{set "bold"; flip "reverse";};
 * PkgNotInstalled		"";
 * PkgNotInstalledHighlighted	"";
 * PkgToDowngrade		{set "bold";};
 * PkgToDowngradeHighlighted	{set "bold"; flip "reverse";};
 * PkgToHold			{fg "white"; flip "reverse";};
 * PkgToHoldHighlighted		{fg "white";};
 * PkgToInstall			{fg "green"; flip "reverse";};
 * PkgToInstallHighlighted	{fg "green";};
 * PkgToRemove			{fg "magenta"; flip "reverse";};
 * PkgToRemoveHighlighted	{fg "magenta";};
 * PkgToUpgrade			{fg "cyan"; flip "reverse";};
 * PkgToUpgradeHighlighted	{fg "cyan";};
 * Progress			{fg "blue"; bg "yellow";};
 * SolutionActionApproved	{bg "green";};
 * SolutionActionRejected	{bg "red";};
 * Status			{fg "white"; bg "blue"; set "bold";};
 * TreeBackground		"";
 * TrustWarning			{fg "red"; bg "black"; set "bold";};
 * }}}*/
Aptitude::UI::Styles {
	Default			{fg "white";	bg "default";};
	Bullet			{fg "magenta";	bg "default";	set "bold";};
//	ChangeLogNewerVersion	{set "bold";};
	DepBroken		{fg "red";	bg "default";	set "bold";};
	DisabledMenuEntry	{fg "white";	bg "default";};
	DownloadHit		{fg "green";	bg "default";};
	DownloadProgress	{fg "white";	bg "green";	set "bold";};
	EditLine		{fg "white";	bg "default";	clear "reverse"; set "bold";};
	Header			{fg "yellow";	bg "default";	set "bold,underline";};
	HighlightedMenuBar	{fg "yellow";	bg "default";	set "bold";};
	HighlightedMenuEntry	{fg "yellow";	bg "default";	set "bold";};
//	MediaChange		{fg "yellow";	bg "red";	set "bold";};
	MenuBar			{fg "cyan";	bg "default";	set "dim,underline";};
	MenuBorder		{fg "cyan";	bg "default";};
	MenuEntry		{fg "cyan";	bg "default";};
	MultiplexTab		{fg "cyan";	bg "default";	set "underline";};
	MultiplexTabHighlighted	{fg "yellow";	bg "default";	set "underline,bold";};
//	PkgBroken		{fg "red";			flip "reverse";};
//	PkgBrokenHighlighted	{fg "red";};
//	PkgIsInstalled		{				set "bold";};
//	PkgIsInstalledHighlighted {				set "bold"; flip "reverse";};
//	PkgNotInstalled		"";
//	PkgNotInstalledHighlighted "";
//	PkgToDowngrade		{				set "bold";};
//	PkgToDowngradeHighlighted {				set "bold"; flip "reverse";};
//	PkgToHold		{fg "white";			flip "reverse";};
//	PkgToHoldHighlighted	{fg "white";};
//	PkgToInstall		{fg "green";			flip "reverse";};
//	PkgToInstallHighlighted	{fg "green";};
//	PkgToRemove		{fg "magenta";			flip "reverse";};
//	PkgToRemoveHighlighted	{fg "magenta";};
//	PkgToUpgrade		{fg "cyan";			flip "reverse";};
//	PkgToUpgradeHighlighted	{fg "cyan";};
	Progress		{fg "cyan";	bg "default";	set "bold";};
	Status			{fg "yellow";	bg "default";	set "bold,underline";};
//	SolutionActionApproved	{		bg "green";};
//	SolutionActionRejected	{		bg "red";};
//	TreeBackground		"";
//	TrustWarning		{fg "red";	bg "black";	set "bold";};
};

/* ViewTabs {{{2
 * Default is "true" */
//Aptitude::UI::ViewTabs "true";

